/* Стили для блока контактов */
.contacts__cols {
    display: flex;
    height: 800px;
}

.contacts__left {
    padding: 50px 50px 80px 0;
    flex: 0 0 50%;
    max-width: 50%;
}

.contacts__right {
    flex: 1 0 50%;
    max-width: 50%;
    background-color: #BFCDE0;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.contacts__map {
    width: 100%;
    height: 50%;
    position: relative;
    overflow: hidden;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    mix-blend-mode: luminosity;
}

.contacts__photo {
    height: 50%;
    overflow: hidden;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    mix-blend-mode: luminosity;
}

.contacts__photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* Мобильная версия */
@media (max-width: 991px) {
    .contacts__cols {
        flex-wrap: wrap;
        min-height: 0;
        height: auto;
    }
    
    .contacts__left {
        flex: 0 0 100%;
        max-width: 100%;
        padding: 40px 30px 40px 0;
    }
    
    .contacts__right {
        flex: 0 0 100%;
        max-width: 100%;
        margin-left: 0;
        padding: 0;
    }
    
    .contacts__map {
        height: 300px !important;
    }
    
    .contacts__photo {
        height: 300px !important;
    }
}
